Bug 409761 - PyQt-debuginfo won't update
PyQt-debuginfo won't update
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: PyQt-qscintilla (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 23:12 EST by Tim McConnell
Modified: 2014-01-21 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-04 18:17:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim McConnell 2007-12-03 23:12:47 EST
Description of problem: Transaction Check Error:   file
/usr/lib/debug/usr/lib/python2.5/site-packages/qtext.so.debug from install of
PyQt-debuginfo-3.17.3-3.fc7 conflicts with file from package
PyQt-qscintilla-debuginfo-3.17.1-1.fc7

Version-Release number of selected component (if applicable):


How reproducible: Attempt to update the package


Steps to Reproduce:
1. Run yum update 
2. Download package 
3. Transaction test runs and throws error
  
Actual results: update fails 


Expected results: update to succeed 


Additional info: 
21:09:26 :  Packages to update
21:09:26 :  ---> PyQt-debuginfo - 3.17.3-3.fc7.i386 
21:09:26 : Preparing for install/remove/update
21:09:26 : --> Preparing for a full update
21:09:27 : --> Running transaction check
21:09:27 : ---> Package PyQt-debuginfo.i386 0:3.17.3-3.fc7 set to be updated
21:09:36 : --> Finished Dependency Resolution
21:09:38 : Downloading Packages:
21:09:39 : Checking GPG Signatures:
21:09:39 : Running Transaction Test
21:09:44 : Finished Transaction Test
21:12:24 : Transaction Check Error:   file
/usr/lib/debug/usr/lib/python2.5/site-packages/qtext.so.debug from install of
PyQt-debuginfo-3.17.3-3.fc7 conflicts with file from package
PyQt-qscintilla-debuginfo-3.17.1-1.fc7
Comment 1 Seth Vidal 2007-12-03 23:53:30 EST
This looksl like a pkging bug b/t pyqt-scintillia and pyqt - reassigning
Comment 2 Rex Dieter 2007-12-04 07:39:27 EST
PyQt and PyQt-qscintilla *used* to be packaged separately, but no longer (amen
to the merge).

Unless there's some way of including Obsoletes in -debuginfo pkgs, the only
solution I can think of is:
rpm -e PyQt-qscintilla-debuginfo
Comment 3 Tim McConnell 2007-12-04 17:28:09 EST
(In reply to comment #2)
> PyQt and PyQt-qscintilla *used* to be packaged separately, but no longer (amen
> to the merge).
> 
> Unless there's some way of including Obsoletes in -debuginfo pkgs, the only
> solution I can think of is:
> rpm -e PyQt-qscintilla-debuginfo

Okay so the debug packages are the same debugger now? I'll remove the qscintilla
debugger then. 
Comment 4 Rex Dieter 2007-12-04 18:17:05 EST
Yes, thanks.

Note You need to log in before you can comment on or make changes to this bug.